/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.importer.ImportStatusEditorInput");

dojo.require("rmps.app.ui.internal.EditorInput");
dojo.require("dojox.encoding.digests.MD5");

dojo.require("rmps.importer.util");
dojo.require("dojo.i18n");

dojo.requireLocalization("rmps.importer", "ImportStatusEditorMessages");

var messages = dojo.i18n.getLocalization("rmps.importer", "ImportStatusEditorMessages");

dojo.declare("rmps.importer.ImportStatusEditorInput", rmps.app.ui.internal.EditorInput, {
	
	projectId: null,
	
	constructor: function(params) {
		this.projectId = params.projectId;
	},
	
	getId: function() {
		return dojox.encoding.digests.MD5(this.declaredClass + ',' + this.projectId);
	},
	
	getIconUri: function() {
		return null;
	},
	
	getName: function() {
		return messages.importStatus;
	},
	
	getTooltip: function() {
		return null;
	},
	
	getBasePresentationUri: function() {
		return rmps.importer.util.getImportStatusUri();
	}
});

})();
