/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("rmps.importer.pages.ImportPageController");

dojo.declare("rmps.importer.pages.ImportPageController", null, {
	
	// private properties
	_page: null,
	
	_defaultUrl: null,
	
	constructor: function(page) {
		this._page = page;
	},
	
	_default: function(args) {
		if (this._defaultUrl) {
			setTimeout(dojo.hitch(this, function() {
				window.location.href = this._defaultUrl;
			}), 0);
			return;
		}
		this.viewDefinition(args);
	},
	
	status: function() {
		this._defaultUrl = window.location.href;
		
		this._page.showStatus();
	},
	
	_getEditorArgs: function(args) {
		var rest = dojo.clone(args);
		delete rest.action;
		delete rest.id;
		return rest;
	},
	
	viewDefinition: function(args) {
		this._defaultUrl = window.location.href;
		
		this._page.showDefinition(this._getEditorArgs(args));
	},
	
	request: function(args) {
		this._defaultUrl = window.location.href;
		
		this._page.showRequestImport(this._getEditorArgs(args));
	}
});

})();
