/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("uml.rmps.properties.ProfilesSection");

dojo.require("dijit._Widget");
dojo.require("dojo.i18n");

dojo.require("jazz.ui.StyledTable");

dojo.requireLocalization("uml.rmps.properties", "ProfilesSectionMessages");

var messages = dojo.i18n.getLocalization("uml.rmps.properties", "ProfilesSectionMessages");

dojo.declare("uml.rmps.properties.ProfilesSection", dijit._Widget, {
	
	"class": "uml-rmps-properties-profilesSection",
	
	// mixin properties
	profiles: null, //{name: , version: , releaseVersion: }

	postCreate: function() {
		this.containerNode = this.domNode;
		
		var header = dojo.create("div", null, this.domNode);
		header.style.marginBottom = "5px";
		header.appendChild(dojo.doc.createTextNode(messages.appliedProfiles));
		
		var columns = [
			{
				label: messages.column_name
			},
			{
				label: messages.column_version
			},
			{
				label: messages.column_releaseLabel
			}
		];
		
		var table = new jazz.ui.StyledTable({
			columns: columns
		});
		
		if (this.profiles) {
			// sort by name
			this.profiles.sort(function(a, b) {
				return (a.name > b.name) ? 1 : ((a.name < b.name) ? -1 : 0);
			});
			// add rows
			for (var i = 0; i < this.profiles.length; ++i) {
				table.tbody.appendChild(this._createProfileRow(this.profiles[i]));
			}
		}
		
		this.domNode.appendChild(table.domNode);
	},
	
	_createProfileRow: function(profile) {
		var tr = dojo.doc.createElement("tr");
		var nameCell = dojo.create("td", null, tr);
		var versionCell = dojo.create("td", null, tr);
		var releaseLabelCell = dojo.create("td", null, tr);
		
		nameCell.appendChild(dojo.doc.createTextNode(profile.name || ""));
		versionCell.appendChild(dojo.doc.createTextNode(profile.version || ""));
		releaseLabelCell.appendChild(dojo.doc.createTextNode(profile.releaseLabel || ""));
		
		return tr;
	}
	
});

})();